Debian Bug report logs - #679762
dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)

version graph

Package: src:dolfin; Maintainer for src:dolfin is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 1 Jul 2012 11:39:43 UTC

Severity: serious

Tags: sid, wheezy

Found in version dolfin/1.0.0-7

Done: Johannes Ring <johannr@simula.no>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Sun, 01 Jul 2012 11:39:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 01 Jul 2012 11:39:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Sun, 01 Jul 2012 13:09:26 +0200
Package: src:dolfin
Version: 1.0.0-7
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

-- Performing Test ARMADILLO_BLAS_TEST_RUNS - Failed
-- Performing Test ARMADILLO_GFORTRAN_TEST_RUNS
-- Performing Test ARMADILLO_GFORTRAN_TEST_RUNS - Failed
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (MESSAGE):
  Armadillo could not be found.  Be sure to set ARMADILLO_DIR.  (missing:
  ARMADILLO_TEST_RUNS)
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:288 (_FPHSA_FAILURE_MESSAGE)
  cmake/modules/FindArmadillo.cmake:178 (find_package_handle_standard_args)
  CMakeLists.txt:197 (find_package)


-- Configuring incomplete, errors occurred!
make: *** [obj-i486-linux-gnu/CMakeCache.txt] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=dolfin&arch=kfreebsd-amd64&ver=1.0.0-7&stamp=1340963024

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added blocking bug(s) of 679762: 680931 Request was from Felix Geyer <fgeyer@debian.org> to control@bugs.debian.org. (Sun, 29 Jul 2012 12:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Wed, 01 Aug 2012 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ring <johannr@simula.no>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 01 Aug 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 679762@bugs.debian.org (full text, mbox):

From: Johannes Ring <johannr@simula.no>
To: debian-bsd@lists.debian.org, 679762@bugs.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Wed, 1 Aug 2012 08:16:31 +0200
On Sun, Jul 1, 2012 at 1:09 PM, Christoph Egger <christoph@debian.org> wrote:
> Your package failed to build on the buildds:
>
> -- Performing Test ARMADILLO_BLAS_TEST_RUNS - Failed
> -- Performing Test ARMADILLO_GFORTRAN_TEST_RUNS
> -- Performing Test ARMADILLO_GFORTRAN_TEST_RUNS - Failed
> CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (MESSAGE):
>   Armadillo could not be found.  Be sure to set ARMADILLO_DIR.  (missing:
>   ARMADILLO_TEST_RUNS)
> Call Stack (most recent call first):
>   /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:288 (_FPHSA_FAILURE_MESSAGE)
>   cmake/modules/FindArmadillo.cmake:178 (find_package_handle_standard_args)
>   CMakeLists.txt:197 (find_package)
>
>
> -- Configuring incomplete, errors occurred!
> make: *** [obj-i486-linux-gnu/CMakeCache.txt] Error 1

Thanks for the report and sorry about the late reply. This is not a
bug in DOLFIN, but rather a result of the problem reported in #680931
[1]. It is a GCC 4.7.1 bug, which has now been fixed upstream [2]. I
am not sure how to handle this from here but Armadillo 3.2.4 (3.2.3 is
in Debian) has a workaround for the GCC bug. Would it be possible to
get this version into Debian now?

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680931
[2] http://gcc.gnu.org/bugzilla/show_bug.cgi?id=53549#c13

Best,

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Wed, 01 Aug 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 01 Aug 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 679762@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@debian.org>
To: Johannes Ring <johannr@simula.no>, <679762@bugs.debian.org>
Cc: <debian-bsd@lists.debian.org>
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Wed, 1 Aug 2012 18:30:08 -0500
Hi.

On Wed, Aug 01, 2012 at 08:16:31AM +0200, Johannes Ring wrote:
> Thanks for the report and sorry about the late reply. This is not a
> bug in DOLFIN, but rather a result of the problem reported in #680931
> [1]. It is a GCC 4.7.1 bug, which has now been fixed upstream [2]. I
> am not sure how to handle this from here but Armadillo 3.2.4 (3.2.3 is
> in Debian) has a workaround for the GCC bug. Would it be possible to
> get this version into Debian now?
> 
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680931
> [2] http://gcc.gnu.org/bugzilla/show_bug.cgi?id=53549#c13

#680931 has been fixed by the latest gcc download, so I don't believe
that the workaround upload for Armadillo is necessary.

Thanks!

Kumar
-- 
I've run DOOM more in the last few days than I have the last few
months.  I just love debugging ;-)
		-- Linus Torvalds



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Thu, 02 Aug 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ring <johannr@simula.no>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 02 Aug 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 679762@bugs.debian.org (full text, mbox):

From: Johannes Ring <johannr@simula.no>
To: Kumar Appaiah <akumar@debian.org>
Cc: 679762@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Thu, 2 Aug 2012 10:19:15 +0200
On Thu, Aug 2, 2012 at 1:30 AM, Kumar Appaiah <akumar@debian.org> wrote:
> #680931 has been fixed by the latest gcc download, so I don't believe
> that the workaround upload for Armadillo is necessary.

Thanks Kumar. The latest gcc-4.7 package (version 4.7.1-6) fixed the
problem. I guess a binNMU for DOLFIN is needed.

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Fri, 03 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <fgeyer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 03 Aug 2012 11:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 679762@bugs.debian.org (full text, mbox):

From: Felix Geyer <fgeyer@debian.org>
To: Johannes Ring <johannr@simula.no>
Cc: Kumar Appaiah <akumar@debian.org>, 679762@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Fri, 03 Aug 2012 13:14:02 +0200
On 02.08.2012 10:19, Johannes Ring wrote:
> On Thu, Aug 2, 2012 at 1:30 AM, Kumar Appaiah <akumar@debian.org> wrote:
>> #680931 has been fixed by the latest gcc download, so I don't believe
>> that the workaround upload for Armadillo is necessary.
> Thanks Kumar. The latest gcc-4.7 package (version 4.7.1-6) fixed the
> problem. I guess a binNMU for DOLFIN is needed.
>
> Johannes

Requesting give-backs for the architectures it FTBFS should be enough.

Felix




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Fri, 03 Aug 2012 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 03 Aug 2012 12:30:03 GMT) Full text and rfc822 format available.

Message #32 received at 679762@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: kfreebsd-i386@buildd.debian.org
Cc: 679762@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Fri, 03 Aug 2012 13:27:34 +0100
Hi Christoph,

Please could you give back dolfin after updating kfreebsd-* buildds to
gcc-4.7 4.7.1-6, fixing PR c++/53549.

fasch/fano/fils/finzi appear to have 4.7.1-5 at the moment.

Thanks a lot,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Fri, 03 Aug 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 03 Aug 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #37 received at 679762@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: kfreebsd-i386@buildd.debian.org, 679762@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Fri, 3 Aug 2012 19:47:52 +0200
On Fri, Aug 03, 2012 at 01:27:34PM +0100, Steven Chamberlain wrote:
> Hi Christoph,
> 
> Please could you give back dolfin after updating kfreebsd-* buildds to
> gcc-4.7 4.7.1-6, fixing PR c++/53549.
> 
> fasch/fano/fils/finzi appear to have 4.7.1-5 at the moment.
> 

Done, let's see if it builds.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Fri, 03 Aug 2012 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 03 Aug 2012 18:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 679762@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: kfreebsd-i386@buildd.debian.org, 679762@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Fri, 03 Aug 2012 19:52:31 +0100
On 03/08/12 18:47, Aurelien Jarno wrote:
> On Fri, Aug 03, 2012 at 01:27:34PM +0100, Steven Chamberlain wrote:
>> Please could you give back dolfin after updating kfreebsd-* buildds to
>> gcc-4.7 4.7.1-6, fixing PR c++/53549.

> Done, let's see if it builds.

Yep, it did.  Thanks!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Mon, 06 Aug 2012 08:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ring <johannr@simula.no>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 06 Aug 2012 08:33:05 GMT) Full text and rfc822 format available.

Message #47 received at 679762@bugs.debian.org (full text, mbox):

From: Johannes Ring <johannr@simula.no>
To: debian-wb-team@lists.debian.org
Cc: 679762@bugs.debian.org
Subject: Please give back dolfin (hurd-i386 and i386)
Date: Mon, 6 Aug 2012 10:28:43 +0200
Hi,

dolfin 1.0.0-7 failed to build on hurd-i386 and i386 due to a bug in
gcc-4.7. This bug was fixed in gcc-4.7 4.7.1-6, so please rebuild
dolfin on those architectures:

  gb dolfin_1.0.0-7 . hurd-i386 i386

This would clear the FTBFS bug #679762 (CCed).

Thanks,

Johannes



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Thu, 23 Aug 2012 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Ring <johannr@simula.no>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 23 Aug 2012 10:27:03 GMT) Full text and rfc822 format available.

Message #52 received at 679762@bugs.debian.org (full text, mbox):

From: Johannes Ring <johannr@simula.no>
To: debian-wb-team@lists.debian.org
Cc: 679762@bugs.debian.org
Subject: Re: Bug#679762: Please give back dolfin (hurd-i386 and i386)
Date: Thu, 23 Aug 2012 12:22:25 +0200
Ping?

Johannes

On Mon, Aug 6, 2012 at 10:28 AM, Johannes Ring <johannr@simula.no> wrote:
> Hi,
>
> dolfin 1.0.0-7 failed to build on hurd-i386 and i386 due to a bug in
> gcc-4.7. This bug was fixed in gcc-4.7 4.7.1-6, so please rebuild
> dolfin on those architectures:
>
>   gb dolfin_1.0.0-7 . hurd-i386 i386
>
> This would clear the FTBFS bug #679762 (CCed).
>
> Thanks,
>
> Johannes
>
> --
> debian-science-maintainers mailing list
> debian-science-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-science-maintainers



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#679762; Package src:dolfin. (Sat, 25 Aug 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #55 received at 679762@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Johannes Ring <johannr@simula.no>
Cc: debian-wb-team@lists.debian.org, 679762@bugs.debian.org
Subject: Re: Please give back dolfin (hurd-i386 and i386)
Date: Sat, 25 Aug 2012 23:49:55 +0200
[Message part 1 (text/plain, inline)]
On Mon, Aug 06, 2012 at 10:28:43AM +0200, Johannes Ring wrote:
> dolfin 1.0.0-7 failed to build on hurd-i386 and i386 due to a bug in
> gcc-4.7. This bug was fixed in gcc-4.7 4.7.1-6, so please rebuild
> dolfin on those architectures:
> 
>   gb dolfin_1.0.0-7 . hurd-i386 i386
> 
> This would clear the FTBFS bug #679762 (CCed).

hurd-i386 was already done, i386 now done. The proper point of contact is
(hurd-)i386@buildd.d.o.

Kind regards and sorry for the delay
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Johannes Ring <johannr@simula.no>:
You have taken responsibility. (Tue, 28 Aug 2012 11:45:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 28 Aug 2012 11:45:03 GMT) Full text and rfc822 format available.

Message #60 received at 679762-done@bugs.debian.org (full text, mbox):

From: Johannes Ring <johannr@simula.no>
To: 679762-done@bugs.debian.org
Subject: Re: Bug#679762: dolfin: FTBFS: Armadillo could not be found. Be sure to set ARMADILLO_DIR. (missing: ARMADILLO_TEST_RUNS)
Date: Tue, 28 Aug 2012 13:41:15 +0200
Thanks, this bug can now be closed.

Johannes



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Sep 2012 07:31:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:11:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.